Bug 1129774 (CVE-2014-3594) - CVE-2014-3594 openstack-horizon: persistent XSS in Horizon Host Aggregates interface
Summary: CVE-2014-3594 openstack-horizon: persistent XSS in Horizon Host Aggregates in...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-3594
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20140819,repor...
Depends On: 1131805 1131806 1131807 1131816 1131817 1131818
Blocks: 1116095 1129776
TreeView+ depends on / blocked
 
Reported: 2014-08-13 15:44 UTC by Vincent Danen
Modified: 2019-06-08 20:08 UTC (History)
24 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A persistent cross-site scripting (XSS) flaw was found in the horizon host aggregate interface. A user with sufficient privileges to add a host aggregate could potentially use this flaw to capture the credentials of another user.
Clone Of:
Environment:
Last Closed: 2014-09-30 19:47:51 UTC


Attachments (Terms of Use)
CVE-2014-3594 patch for stable/havana (1.77 KB, patch)
2014-08-13 18:55 UTC, Vincent Danen
no flags Details | Diff
CVE-2014-3594 patch for stable/icehouse (2.29 KB, patch)
2014-08-13 18:55 UTC, Vincent Danen
no flags Details | Diff
CVE-2014-3594 patch for master/juno (2.29 KB, patch)
2014-08-13 18:56 UTC, Vincent Danen
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1188 normal SHIPPED_LIVE Moderate: python-django-horizon security update 2014-09-15 09:52:09 UTC
Red Hat Product Errata RHSA-2014:1335 normal SHIPPED_LIVE Moderate: python-django-horizon security and bug fix update 2014-09-30 21:18:31 UTC
Red Hat Product Errata RHSA-2014:1336 normal SHIPPED_LIVE Moderate: python-django-horizon security and bug fix update 2014-09-30 22:00:59 UTC

Description Vincent Danen 2014-08-13 15:44:11 UTC
Title: Persistent XSS in Horizon Host Aggregates interface
Reporters: Dennis Felsch and Mario Heiderich (Ruhr-University Bochum)
Products: Horizon
Versions: up to 2013.2.3, and 2014.1 versions up to 2014.1.2

Description:
Dennis Felsch and Mario Heiderich from the Horst Görtz Institute for
IT-Security, Ruhr-University Bochum reported a persistent XSS in Horizon. A
malicious administrator may conduct a persistent XSS attack by registering
a malicious host aggregate in Horizon Host Aggregate interface. Once
executed in a legitimate context this attack may reveal another admin
token, potentially resulting in a lateral privilege escalation. All Horizon
setups are affected.


Acknowledgements:

Red Hat would like to thank the OpenStack project for reporting this issue. Upstream acknowledges Dennis Felsch and Mario Heiderich from the Horst Görtz Institute for IT-Security, Ruhr-University Bochum as the original reporters.

Comment 2 Vincent Danen 2014-08-13 18:55:34 UTC
Created attachment 926551 [details]
CVE-2014-3594 patch for stable/havana

Comment 3 Vincent Danen 2014-08-13 18:55:58 UTC
Created attachment 926552 [details]
CVE-2014-3594 patch for stable/icehouse

Comment 4 Vincent Danen 2014-08-13 18:56:24 UTC
Created attachment 926553 [details]
CVE-2014-3594 patch for master/juno

Comment 5 Murray McAllister 2014-08-20 06:17:18 UTC
This issue is public now:

http://seclists.org/oss-sec/2014/q3/413

Comment 7 Murray McAllister 2014-08-20 06:20:25 UTC
Created python-django-horizon tracking bugs for this issue:

Affects: fedora-all [bug 1131805]
Affects: epel-6 [bug 1131806]

Comment 9 Martin Prpič 2014-08-25 08:32:21 UTC
IssueDescription:

A persistent cross-site scripting (XSS) flaw was found in the horizon host aggregate interface. A user with sufficient privileges to add a host aggregate could potentially use this flaw to capture the credentials of another user.

Comment 12 errata-xmlrpc 2014-09-15 05:52:39 UTC
This issue has been addressed in the following products:

  OpenStack 4 for RHEL 6

Via RHSA-2014:1188 https://rhn.redhat.com/errata/RHSA-2014-1188.html

Comment 13 errata-xmlrpc 2014-09-30 17:18:49 UTC
This issue has been addressed in the following products:

  OpenStack 5 for RHEL 7

Via RHSA-2014:1335 https://rhn.redhat.com/errata/RHSA-2014-1335.html

Comment 14 errata-xmlrpc 2014-09-30 18:01:35 UTC
This issue has been addressed in the following products:

  OpenStack 5 for RHEL 6

Via RHSA-2014:1336 https://rhn.redhat.com/errata/RHSA-2014-1336.html


Note You need to log in before you can comment on or make changes to this bug.